I know I can use HTTP_USER_AGENT to get the major and minor version of a browser (IE 5.5), but how can I find out if my users have installed SP1 or SP2? I&#039;m trying to help show them that they do or don&#039;t need to upgrade their browsers in response to Nimda... (Is there anything, even BrowserHawk, which will allow this?)<BR><BR>Thanks,<BR>Rob<BR>rberger@trmcom.com